### Function

# GLib strcasecmp

deprecated: 2.2 since: 2.0

#### Declaration

    gint
    g_strcasecmp (
      const gchar* s1,
      const gchar* s2
    )

#### Description

A case-insensitive string comparison, corresponding to the standard `strcasecmp()` function on platforms which support it.

Available since: 2.0

Deprecated since: 2.2

See `g_strncasecmp()` for a discussion of why this function is deprecated and how to replace it.

#### Parameters

`s1`

  Type: `const gchar*`

  String to compare with `s2`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`s2`

  Type: `const gchar*`

  String to compare with `s1`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

0 if the strings match, a negative value if `s1` < `s2`, or a positive value if `s1` > `s2`